commit:     5fca87340c9cec6a9b2972133d02669fe89118f2
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 13:57:13 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 13:57:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fca8734

sys-fabric/qperf: [QA] Fix garbage ebuild

* Committed by Patrick Lauer in afdc961612ef66cd9d10452464314c88ade4eb82:
  - doesn't use GLEP 66
  - adds eutils
  - completely garbles metadata/block order
  - adds literal "v0.4.11.tar.gz"
  - rdma-core is also needed at runtime
  - eapply_user after eautoreconf
  - unnecessary overrides of src_compile/src_install

Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-fabric/qperf/qperf-0.4.11.ebuild | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

diff --git a/sys-fabric/qperf/qperf-0.4.11.ebuild 
b/sys-fabric/qperf/qperf-0.4.11.ebuild
index 931a85b5553..596a222382b 100644
--- a/sys-fabric/qperf/qperf-0.4.11.ebuild
+++ b/sys-fabric/qperf/qperf-0.4.11.ebuild
@@ -1,34 +1,24 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="7"
+EAPI=7
 
-inherit eutils autotools
+inherit autotools
 
+DESCRIPTION="Measure RDMA and IP performance"
 HOMEPAGE="https://www.openfabrics.org/";
-LICENSE="|| ( GPL-2 BSD-2 )"
+SRC_URI="https://github.com/linux-rdma/qperf/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
 
-SRC_URI="https://github.com/linux-rdma/qperf/archive/v0.4.11.tar.gz -> 
${P}.tar.gz"
-DESCRIPTION="Measure RDMA and IP performance"
+LICENSE="|| ( GPL-2 BSD-2 )"
+SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux"
-IUSE=""
 
-SLOT=0
-DEPEND="
-       sys-cluster/rdma-core
-       "
+DEPEND="sys-cluster/rdma-core"
 RDEPEND="
-               !sys-fabric/openib-userspace"
+       ${DEPEND}
+       !sys-fabric/openib-userspace"
 
 src_prepare() {
+       default
        eautoreconf
-       eapply_user
-}
-
-src_compile() {
-       emake
-}
-
-src_install() {
-       emake install DESTDIR="${D}"
 }

Reply via email to